# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::CSSImportRule Class Reference

The `CSSImportRule` interface represents a `@import` rule within a CSS style sheet. More...

`#include <css_rule.h>`

Inheritance diagram for DOM::CSSImportRule:

[legend]
Collaboration diagram for DOM::CSSImportRule:

[legend]
List of all members.

## Public Member Functions

| CSSImportRule (const CSSImportRule &other)
| CSSImportRule (const CSSRule &other)
| CSSImportRule (CSSImportRuleImpl *impl)
CSSImportRule & | operator= (const CSSImportRule &other)
CSSImportRule & | operator= (const CSSRule &other)
DOM::DOMString | href () const
MediaList | media () const
CSSStyleSheet | styleSheet () const

## Detailed Description

The `CSSImportRule` interface represents a `@import` rule within a CSS style sheet.

The `@import` rule is used to import style rules from other style sheets.

Definition at line 223 of file css_rule.h.

## Member Function Documentation

DOMString CSSImportRule::href | ( |  | ) | const

| The location of the style sheet to be imported. The attribute will not contain the `"url(...)"` specifier around the URI. Definition at line 239 of file css_rule.cpp.

MediaList CSSImportRule::media | ( |  | ) | const

| A list of media types for which this style sheet may be used. Definition at line 245 of file css_rule.cpp.

CSSStyleSheet CSSImportRule::styleSheet | ( |  | ) | const

| The style sheet referred to by this rule, if it has been loaded. The value of this attribute is null if the style sheet has not yet been loaded or if it will not be loaded (e.g. if the style sheet is for a media type not supported by the user agent). Definition at line 251 of file css_rule.cpp.

The documentation for this class was generated from the following files:

- css_rule.h
- css_rule.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:36 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003